// Generated from etc/input.conf

"# MPlayer input control file\n"
"#\n"
"# You are able to redefine default keyboard/joystick/mouse/LIRC bindings, or\n"
"# add new ones here.\n"
"# See DOCS/tech/slave.txt for possible commands that can be bound.\n"
"# Also see mplayer -input cmdlist for other possible options.\n"
"# The file should be placed in the \044HOME/.mplayer directory.\n"
"#\n"
"# If you wish to unbind a key, use key ignore.\n"
"# e.g. ENTER ignore\n"
"#\n"
"# Note that merely removing default key bindings from this file won't remove\n"
"# the default bindings mplayer was compiled with, unless\n"
"#   --input=nodefault-bindings\n"
"# is specified.\n"
"#\n"
"# Lines starting with # are comments. Use SHARP to assign the # key.\n"
"#\n"
"# Some characters need to be escaped. In particular, if you want to display\n"
"# a '\\' character as part of an osd_show_property_text OSD message, you have to\n"
"# escape 2 times:\n"
"# key  osd_show_property_text \"This is a single backslash: \\\\\\\\!\"\n"
"#\n"
"# You can use modifier-key combinations like Shift+Left or Ctrl+Alt+x with\n"
"# modifiers Shift, Ctrl, Alt and Meta, but note that currently reading\n"
"# key combinations is only supported through the video windows of X-based\n"
"# output drivers (not in output windows of other drivers or in a terminal).\n"
"\n"
"MOUSE_BTN0_DBL vo_fullscreen            # toggle fullscreen on/off\n"
"MOUSE_BTN2 pause                        # toggle pause on/off\n"
"MOUSE_BTN3 seek 10\n"
"MOUSE_BTN4 seek -10\n"
"MOUSE_BTN5 volume 1\n"
"MOUSE_BTN6 volume -1\n"
"\n"
"# Seek units are in seconds, but note that these are limited by keyframes\n"
"RIGHT seek  10\n"
"LEFT  seek -10\n"
"UP    seek  60\n"
"DOWN  seek -60\n"
"# Do smaller, always exact (non-keyframe-limited), seeks with shift.\n"
"Shift+RIGHT seek  1 0 1\n"
"Shift+LEFT  seek -1 0 1\n"
"Shift+UP    seek  5 0 1\n"
"Shift+DOWN  seek -5 0 1\n"
"PGUP seek 600\n"
"PGDWN seek -600\n"
"+ audio_delay 0.100                     # this changes audio/video sync\n"
"- audio_delay -0.100\n"
"[ speed_mult 0.9091                     # scale playback speed\n"
"] speed_mult 1.1\n"
"{ speed_mult 0.5\n"
"} speed_mult 2.0\n"
"BS speed_set 1.0                        # reset speed to normal\n"
"q quit\n"
"ESC quit\n"
"p pause                                 # toggle pause/playback mode\n"
". frame_step                            # advance one frame and pause\n"
"SPACE pause\n"
"HOME pt_up_step 1\n"
"END pt_up_step -1\n"
"> pt_step 1                             # skip to next file\n"
"ENTER pt_step 1 1                       # skip to next file or quit\n"
"< pt_step -1                            # skip to previous file\n"
"INS alt_src_step 1\n"
"DEL alt_src_step -1\n"
"o osd                                   # cycle through OSD mode\n"
"I osd_show_property_text \"\044{filename}\"  # display filename in osd\n"
"P osd_show_progression\n"
"z sub_delay -0.1                        # subtract 100 ms delay from subs\n"
"x sub_delay +0.1                        # add\n"
"9 volume -1\n"
"/ volume -1\n"
"0 volume 1\n"
"* volume 1\n"
"( balance -0.1                          # adjust audio balance in favor of left\n"
") balance 0.1                           #                                  right\n"
"m mute\n"
"1 contrast -1\n"
"2 contrast 1\n"
"3 brightness -1\n"
"4 brightness 1\n"
"5 hue -1\n"
"6 hue 1\n"
"7 saturation -1\n"
"8 saturation 1\n"
"d frame_drop                            # cycle through framedrop modes\n"
"# toggle deinterlacer; requires either vdpau output, -vf yadif or kerndeint\n"
"D step_property_osd deinterlace\n"
"c step_property_osd colormatrix\n"
"# Next 3 currently only work with --no-ass\n"
"r sub_pos -1                            # move subtitles up\n"
"t sub_pos +1                            #                down\n"
"a sub_alignment\n"
"v sub_visibility\n"
"# stretch SSA/ASS subtitles with anamorphic videos to match historical\n"
"V step_property_osd ass_vsfilter_aspect_compat\n"
"j sub_select                            # cycle through subtitles\n"
"J sub_select -3                         # ...backwards\n"
"F forced_subs_only\n"
"SHARP switch_audio                      # switch audio streams\n"
"_ step_property switch_video\n"
"TAB step_property switch_program\n"
"i edl_mark                              # for use with --edlout mode\n"
"T vo_ontop                              # toggle video window ontop of other windows\n"
"f vo_fullscreen                         # toggle fullscreen\n"
"C step_property_osd capturing\n"
"s screenshot 0                          # take a png screenshot\n"
"S screenshot 1                          # ...on every frame\n"
"Alt+s screenshot 0 1                    # take a screenshot of window contents\n"
"Alt+S screenshot 1 1                    # ...on every frame\n"
"w panscan -0.1                          # zoom out with -panscan 0 -fs\n"
"e panscan +0.1                          #      in\n"
"POWER quit\n"
"MENU osd\n"
"PLAY pause\n"
"PAUSE pause\n"
"PLAYPAUSE pause\n"
"STOP quit\n"
"FORWARD seek 60\n"
"REWIND seek -60\n"
"NEXT pt_step 1\n"
"PREV pt_step -1\n"
"VOLUME_UP volume 1\n"
"VOLUME_DOWN volume -1\n"
"MUTE mute\n"
"CLOSE_WIN quit\n"
"! seek_chapter -1                       # skip to previous chapter\n"
"\100 seek_chapter 1                        #         next\n"
"A switch_angle 1\n"
"U stop\n"
"\n"
"# TV\n"
"h tv_step_channel 1\n"
"k tv_step_channel -1\n"
"n tv_step_norm\n"
"u tv_step_chanlist\n"
"X step_property teletext_mode 1\n"
"W step_property teletext_page 1\n"
"Q step_property teletext_page -1\n"
"\n"
"#\n"
"# DVDNAV\n"
"# Requires dvdnav://\n"
"#\n"
"\n"
"KP8     dvdnav up\n"
"KP2     dvdnav down\n"
"KP4     dvdnav left\n"
"KP6     dvdnav right\n"
"KP5     dvdnav menu\n"
"KP_ENTER dvdnav select\n"
"MOUSE_BTN0 dvdnav mouse\n"
"KP7     dvdnav prev\n"
"\n"
"#\n"
"# Apple Remote section\n"
"#\n"
"\n"
"AR_PLAY pause\n"
"AR_PLAY_HOLD quit\n"
"AR_NEXT seek 30\n"
"AR_NEXT_HOLD seek 120\n"
"AR_PREV seek -10\n"
"AR_PREV_HOLD seek -120\n"
"AR_MENU osd\n"
"AR_MENU_HOLD mute\n"
"AR_VUP volume 1\n"
"AR_VDOWN volume -1\n"
"\n"
"#\n"
"# Joystick section\n"
"# WARNING: joystick support has to be explicitly enabled at\n"
"#          compiletime with --enable-joystick\n"
"#\n"
"\n"
"JOY_AXIS0_PLUS seek 10\n"
"JOY_AXIS0_MINUS seek -10\n"
"JOY_AXIS1_MINUS seek 60\n"
"JOY_AXIS1_PLUS seek -60\n"
"JOY_BTN0 pause\n"
"JOY_BTN1 osd\n"
"JOY_BTN2 volume 1\n"
"JOY_BTN3 volume -1\n"
"\n"
"#\n"
"# Not assigned by default\n"
"# (not an exhaustive list of unbound commands)\n"
"#\n"
"\n"
"#? sub_scale +0.1                       # increase subtitle font size\n"
"#? sub_scale -0.1                       # decrease subtitle font size\n"
